package eu.mhsl.minenet.minigames.instance.game.stateless.types.test;

import eu.mhsl.minenet.minigames.instance.Dimension;
import eu.mhsl.minenet.minigames.instance.game.stateless.StatelessGame;
import eu.mhsl.minenet.minigames.score.FirstWinsScore;
import net.minestom.server.coordinate.Pos;
import net.minestom.server.event.player.PlayerBlockInteractEvent;
import net.minestom.server.instance.block.Block;
import org.jetbrains.annotations.NotNull;

import java.util.concurrent.CompletableFuture;

public class Test extends StatelessGame {

    int zähler = 0;

    public Test() {
        super(Dimension.THE_END.key, "test", new FirstWinsScore());
        eventNode().addListener(PlayerBlockInteractEvent.class, event -> {
            if (!isBeforeBeginning) {
                zähler++;
            }
            if (zähler >= 10) {
                getScore().insertResult(event.getPlayer());
                System.out.println("Sieg");
            }
        });

    }

    @Override
    protected void onLoad(@NotNull CompletableFuture<Void> callback) {
        for(int x = 0; x <= 10; x++) {
            for(int z = 0; z <= 10; z++) {
                setBlock(x, 0, z, Block.BEDROCK);
            }
        }
        setBlock(3,1,6, Block.BIRCH_BUTTON.withProperty("face", "floor"));
    }



    @Override
    public Pos getSpawn() {
        return  new Pos(5, 3, 5);
    }
}
